Bug 434687

Summary: *** buffer overflow detected ***: dvd+rw-format terminated
Product: [Fedora] Fedora Reporter: David Nielsen <gnomeuser>
Component: dvd+rw-toolsAssignee: Harald Hoyer <harald>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-04-01 17:34:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 235706    

Description David Nielsen 2008-02-24 07:08:12 EST
Description of problem:
I'm getting a backtrace when invoking dvd+rw-format

david@dawkins:~$ dvd+rw-format /dev/dvd
*** buffer overflow detected ***: dvd+rw-format terminated
======= Backtrace: =========
/lib64/libc.so.6(__fortify_fail+0x37)[0x3f996fe087]
/lib64/libc.so.6[0x3f996fc5b0]
/lib64/libc.so.6[0x3f996fcf83]
dvd+rw-format[0x40137e]
dvd+rw-format[0x402f75]
/lib64/libc.so.6(__libc_start_main+0xfa)[0x3f9961e36a]
dvd+rw-format[0x401049]
======= Memory map: ========
00400000-00408000 r-xp 00000000 09:01 111184                            
/usr/bin/dvd+rw-format
00607000-00608000 rw-p 00007000 09:01 111184                            
/usr/bin/dvd+rw-format
00608000-00629000 rw-p 00608000 00:00 0                                  [heap]
39d6000000-39d6016000 r-xp 00000000 09:01 1097741                       
/lib64/libgcc_s-4.3.0-20080222.so.1
39d6016000-39d6215000 ---p 00016000 09:01 1097741                       
/lib64/libgcc_s-4.3.0-20080222.so.1
39d6215000-39d6216000 rw-p 00015000 09:01 1097741                       
/lib64/libgcc_s-4.3.0-20080222.so.1
39d6400000-39d64ee000 r-xp 00000000 09:01 108489                        
/usr/lib64/libstdc++.so.6.0.10
39d64ee000-39d66ee000 ---p 000ee000 09:01 108489                        
/usr/lib64/libstdc++.so.6.0.10
39d66ee000-39d66f5000 r--p 000ee000 09:01 108489                        
/usr/lib64/libstdc++.so.6.0.10
39d66f5000-39d66f7000 rw-p 000f5000 09:01 108489                        
/usr/lib64/libstdc++.so.6.0.10
39d66f7000-39d670a000 rw-p 39d66f7000 00:00 0 
3f99200000-3f9921f000 r-xp 00000000 09:01 1097789                       
/lib64/ld-2.7.90.so
3f9941e000-3f9941f000 r--p 0001e000 09:01 1097789                       
/lib64/ld-2.7.90.so
3f9941f000-3f99420000 rw-p 0001f000 09:01 1097789                       
/lib64/ld-2.7.90.so
3f99600000-3f99767000 r-xp 00000000 09:01 1097803                       
/lib64/libc-2.7.90.so
3f99767000-3f99966000 ---p 00167000 09:01 1097803                       
/lib64/libc-2.7.90.so
3f99966000-3f9996a000 r--p 00166000 09:01 1097803                       
/lib64/libc-2.7.90.so
3f9996a000-3f9996b000 rw-p 0016a000 09:01 1097803                       
/lib64/libc-2.7.90.so
3f9996b000-3f99970000 rw-p 3f9996b000 00:00 0 
3f99a00000-3f99a84000 r-xp 00000000 09:01 1098388                       
/lib64/libm-2.7.90.so
3f99a84000-3f99c83000 ---p 00084000 09:01 1098388                       
/lib64/libm-2.7.90.so
3f99c83000-3f99c84000 r--p 00083000 09:01 1098388                       
/lib64/libm-2.7.90.so
3f99c84000-3f99c85000 rw-p 00084000 09:01 1098388                       
/lib64/libm-2.7.90.so
3f9a200000-3f9a217000 r-xp 00000000 09:01 1098395                       
/lib64/libpthread-2.7.90.so
3f9a217000-3f9a416000 ---p 00017000 09:01 1098395                       
/lib64/libpthread-2.7.90.so
3f9a416000-3f9a417000 r--p 00016000 09:01 1098395                       
/lib64/libpthread-2.7.90.so
3f9a417000-3f9a418000 rw-p 00017000 09:01 1098395                       
/lib64/libpthread-2.7.90.so
3f9a418000-3f9a41c000 rw-p 3f9a418000 00:00 0 
2aaaaaaab000-2aaaaaaad000 rw-p 2aaaaaaab000 00:00 0 
2aaaaaaad000-2aaaaaaae000 rw-s 00000000 09:01 380270                    
/tmp/dvd+rw-format.525juP (deleted)
2aaaaaac2000-2aaaaaac5000 rw-p 2aaaaaac2000 00:00 0 
2aaaaaac5000-2aaaaf520000 r--p 00000000 09:01 1007617                   
/usr/lib/locale/locale-archive
7fff6dcd3000-7fff6dce8000 rw-p 7ffffffea000 00:00 0                      [stack]
7fff6ddfe000-7fff6de00000 r-xp 7fff6ddfe000 00:00 0                      [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

Version-Release number of selected component (if applicable):
dvd+rw-tools-7.0-9.fc9.x86_64

How reproducible:
100%

Steps to Reproduce:
1. run dvd+rw-format
  
Actual results:
buffer overflow and backtrace

Expected results:
formatted dvd-rw media

Additional info:
Comment 1 Harald Hoyer 2008-03-31 11:25:57 EDT
still an issue with dvd+rw-tools-7.0-11.fc9.i386??
Comment 2 Jesse Keating 2008-04-01 17:34:20 EDT
Works for me on x86_64.  I'm closing this rawhide, please re-open if the problem
continues.